# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 0.5.1 (2023-05-27)
Unchanged from v0.5.0, but published to trigger a new docs.rs build.

## 0.5.0 (2023-04-17)
### Changed
- Bump `signature` to v2 ([#1211])
- Bump `password-hash` to v0.5 ([#1271])
- Bump `elliptic-curve` to v0.13; MSRV 1.65 ([#1302])

[#1211]: https://github.com/RustCrypto/traits/pull/1211
[#1271]: https://github.com/RustCrypto/traits/pull/1271
[#1302]: https://github.com/RustCrypto/traits/pull/1302

## 0.4.0 (2022-08-09)
### Added
- Re-export `crypto-common` as `common` ([#1076])

### Changed
- Bump `aead` to v0.5 ([#1058])
- Bump `cipher` to 0.4 ([#951])
- Bump `digest` dependency to v0.10 ([#850])
- Bump `elliptic-curve` to v0.12 ([#1009])
- Bump `password-hash` to v0.4 ([#961])
- Bump `signature` to v1.5 ([#867])
- Bump `universal-hash` to v0.5 ([#1061])

### Removed
- `mac` feature: merged into `digest` ([#1075])

[#850]: https://github.com/RustCrypto/traits/pull/850
[#867]: https://github.com/RustCrypto/traits/pull/867
[#951]: https://github.com/RustCrypto/traits/pull/951
[#961]: https://github.com/RustCrypto/traits/pull/961
[#1009]: https://github.com/RustCrypto/traits/pull/1009
[#1058]: https://github.com/RustCrypto/traits/pull/1058
[#1061]: https://github.com/RustCrypto/traits/pull/1061
[#1075]: https://github.com/RustCrypto/traits/pull/1075
[#1076]: https://github.com/RustCrypto/traits/pull/1076

## 0.3.0 (2021-06-08)
### Changed
- Bump `elliptic-curve` crate dependency to v0.10 ([#663])
- Bump `signature` crate dependency to v1.3.0 ([#664])

[#663]: https://github.com/RustCrypto/traits/pull/663
[#664]: https://github.com/RustCrypto/traits/pull/664

## 0.2.0 (2021-04-29)
- Initial (re-)release of the `cryptography` crate as `crypto`

## 0.1.2 (2020-06-19) [YANKED]

## 0.1.1 (2020-06-19) [YANKED]

## 0.1.0 (2020-05-21) [YANKED]

## 0.0.2 (2014-11-21) [YANKED]
